package fr.sedoo.rbv.metadataws;

public interface RBVConstants {
	
	 final static String METADATA_NODE_NAME = "metadata";
	 final static String LEVEL_NODE_NAME = "level";
	 final static String LEVEL_TYPE_ATTR_NAME = "type";
	 final static String LEVEL_NAME_ATTR_NAME = "name";
	 final static String IDENTIFICATION_NODE_NAME = "identification";
	 final static String OTHERS_NODE_NAME = "others";
	 final static String TEMPORAL_NODE_NAME = "temporal";
	 final static String LOCALISATION_NODE_NAME = "localisation";
	 final static String CONSTRAINTS_NODE_NAME = "constraints";
	 final static String METAMETADATA_NODE_NAME = "metametadata";
	 final static String METADATA_LAST_MODIFICATION_DATE_NODE_NAME ="lastModificationDate";
	 final static String RESOURCE_TITLE_NODE_NAME = "title";
	 final static String RESOURCE_I18N_TITLE_NODE_NAME = "i18nTitle";
	 final static String TRANSLATION_NODE_NAME = "translation";
	 final static String LANGUAGE_ATTR_NAME = "language";
	 final static String RESOURCE_STATUS_NODE_NAME = "status";
	 final static String RESOURCE_UPDATE_RYTHM_NODE_NAME = "updateRythm";
	 final static String RESOURCE_URL_NODE_NAME = "url";
	 final static String METADATA_UUID_NODE_NAME = "uuid";
	 final static String METADATA_PARENT_UUID_NODE_NAME = "parentuuid";
	 final static String RESOURCE_URLS_NODE_NAME = "urls";
	 final static String METADATA_LANGUAGE_ATTR_NAME = "defaultLanguage";
	 final static String LANGUAGE_NODE_NAME = "language";
	 final static String LANGUAGES_NODE_NAME = "languages";
	 final static String RESOURCE_SNAPSHOT_NODE_NAME = "snapshot";
	 final static String RESOURCE_SNAPSHOTS_NODE_NAME = "snapshots";
	 final static String LOGO_URL_ATTR_NAME = "url";
	 final static String LOGO_NODE_NAME = "logo";
	 final static String LINK_ATTR_NAME = "link";
	 final static String LABEL_ATTR_NAME = "label";
	 final static String PROTOCOL_ATTR_NAME = "protocol";
	 final static String RESOURCE_ABSTRACT_NODE_NAME = "abstract";
	 final static String RESOURCE_I18N_ABSTRACT_NODE_NAME = "i18nAbstract";
	 final static String CONTACTS_NODE_NAME = "contacts";
	 final static String CONTACT_NODE_NAME = "contact";
	 final static String CONTACT_ORGANISATION_ATTR_NAME = "organisation";
	 final static String CONTACT_INDIVIDUAL_ATTR_NAME = "person";
	 final static String CONTACT_EMAIL_ATTR_NAME = "email";
	 final static String CONTACT_ROLE_ATTR_NAME = "role";
	 final static String RESOURCE_BEGIN_DATE = "beginDate";
	 final static String RESOURCE_END_DATE = "endDate";
	 final static String USE_CONDITIONS_NODE_NAME = "useConditions";
	 final static String I18N_USE_CONDITIONS_NODE_NAME = "i18nUseConditions";
	 final static String PUBLIC_ACCESS_LIMITATIONS_NODE_NAME = "publicAccessLimitations";
	 final static String I18N_PUBLIC_ACCESS_LIMITATIONS_NODE_NAME = "i18nPublicAccessLimitations";
	 final static String GEOGRAPHICAL_BOX_NODE_NAME = "box";
	 final static String SOUTH_ATTR_NAME = "south";
	 final static String NORTH_ATTR_NAME = "north";
	 final static String EAST_ATTR_NAME = "east";
	 final static String WEST_ATTR_NAME = "west";
	 final static String OBSERVATORY_NODE_NAME = "observatory";
	 final static String DRAINAGE_BASIN_NODE_NAME = "basin";
	 final static String SITE_NODE_NAME = "site";
	 final static String RESOURCE_ENCODING_CHARSET_NODE_NAME = "charset";
	 final static String RESOURCE_FORMAT_NODE_NAME = "format";
	 final static String NAME_ATTR_NAME = "name";
	 final static String VERSION_ATTR_NAME = "version";
	 final static String PUBLICATION_DATE_NODE_NAME = "publicationDate";
	 final static String CREATION_DATE_NODE_NAME = "creationDate";
	 final static String LAST_REVISION_DATE_NODE_NAME = "lastRevisionDate";
	 final static String COORDINATE_SYSTEM_NODE_NAME = "coordinateSystem";
	 final static String IDENTIFIERS_NODE_NAME = "identifiers";
	 final static String IDENTIFIER_NODE_NAME = "identifier";
	 final static String IDENTIFIER_CODE_ATTR_NAME = "code";
	 final static String IDENTIFIER_NAMESPACE_ATTR_NAME = "nameSpace";
	 
}
